Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Remove jeweler dependancy

  • Loading branch information...
commit 556ea191be8735492de0f1d65bfdb380add5344d 1 parent 163ab5b
@stengland authored
View
25 .gitignore
@@ -1,21 +1,4 @@
-## MAC OS
-.DS_Store
-
-## TEXTMATE
-*.tmproj
-tmtags
-
-## EMACS
-*~
-\#*
-.\#*
-
-## VIM
-*.swp
-
-## PROJECT::GENERAL
-coverage
-rdoc
-pkg
-
-## PROJECT::SPECIFIC
+*.gem
+.bundle
+Gemfile.lock
+pkg/*
View
14 Gemfile
@@ -1,14 +1,4 @@
-# A sample Gemfile
source "http://rubygems.org"
-gem "faker", "~> 0.3.1"
-gem "actionpack"
-gem "activesupport"
-
-# gem "rails"
-group :development do
- gem 'jeweler', '~> 1.4.0'
- gem "rspec", "~> 2.0.0.beta.22"
- gem "rake"
-end
-
+# Specify your gem's dependencies in fakerama.gemspec
+gemspec
View
105 Gemfile.lock
@@ -1,62 +1,63 @@
+PATH
+ remote: .
+ specs:
+ fakerama (0.1.2)
+ actionpack
+ activesupport
+ faker
+
GEM
remote: http://rubygems.org/
specs:
- abstract (1.0.0)
- actionpack (3.0.6)
- activemodel (= 3.0.6)
- activesupport (= 3.0.6)
- builder (~> 2.1.2)
- erubis (~> 2.6.6)
- i18n (~> 0.5.0)
- rack (~> 1.2.1)
- rack-mount (~> 0.6.14)
- rack-test (~> 0.5.7)
- tzinfo (~> 0.3.23)
- activemodel (3.0.6)
- activesupport (= 3.0.6)
- builder (~> 2.1.2)
- i18n (~> 0.5.0)
- activesupport (3.0.6)
- builder (2.1.2)
- diff-lcs (1.1.2)
- erubis (2.6.6)
- abstract (>= 1.0.0)
- faker (0.3.1)
- gemcutter (0.7.0)
- git (1.2.5)
- i18n (0.5.0)
- jeweler (1.4.0)
- gemcutter (>= 0.1.0)
- git (>= 1.2.5)
- rubyforge (>= 2.0.0)
- json_pure (1.5.1)
- rack (1.2.2)
- rack-mount (0.6.14)
+ actionpack (3.1.1)
+ activemodel (= 3.1.1)
+ activesupport (= 3.1.1)
+ builder (~> 3.0.0)
+ erubis (~> 2.7.0)
+ i18n (~> 0.6)
+ rack (~> 1.3.2)
+ rack-cache (~> 1.1)
+ rack-mount (~> 0.8.2)
+ rack-test (~> 0.6.1)
+ sprockets (~> 2.0.2)
+ activemodel (3.1.1)
+ activesupport (= 3.1.1)
+ builder (~> 3.0.0)
+ i18n (~> 0.6)
+ activesupport (3.1.1)
+ multi_json (~> 1.0)
+ builder (3.0.0)
+ diff-lcs (1.1.3)
+ erubis (2.7.0)
+ faker (1.0.1)
+ i18n (~> 0.4)
+ hike (1.2.1)
+ i18n (0.6.0)
+ multi_json (1.0.3)
+ rack (1.3.5)
+ rack-cache (1.1)
+ rack (>= 0.4)
+ rack-mount (0.8.3)
rack (>= 1.0.0)
- rack-test (0.5.7)
+ rack-test (0.6.1)
rack (>= 1.0)
- rake (0.8.7)
- rspec (2.0.1)
- rspec-core (~> 2.0.1)
- rspec-expectations (~> 2.0.1)
- rspec-mocks (~> 2.0.1)
- rspec-core (2.0.1)
- rspec-expectations (2.0.1)
- diff-lcs (>= 1.1.2)
- rspec-mocks (2.0.1)
- rspec-core (~> 2.0.1)
- rspec-expectations (~> 2.0.1)
- rubyforge (2.0.4)
- json_pure (>= 1.1.7)
- tzinfo (0.3.26)
+ rspec (2.7.0)
+ rspec-core (~> 2.7.0)
+ rspec-expectations (~> 2.7.0)
+ rspec-mocks (~> 2.7.0)
+ rspec-core (2.7.1)
+ rspec-expectations (2.7.0)
+ diff-lcs (~> 1.1.2)
+ rspec-mocks (2.7.0)
+ sprockets (2.0.3)
+ hike (~> 1.2)
+ rack (~> 1.0)
+ tilt (!= 1.3.0, ~> 1.1)
+ tilt (1.3.3)
PLATFORMS
ruby
DEPENDENCIES
- actionpack
- activesupport
- faker (~> 0.3.1)
- jeweler (~> 1.4.0)
- rake
- rspec (~> 2.0.0.beta.22)
+ fakerama!
+ rspec
View
37 Rakefile
@@ -1,41 +1,6 @@
-require "bundler"
-Bundler.setup(:default, :development)
+require "bundler/gem_tasks"
require "rspec/core/rake_task"
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gem|
- gem.name = "fakerama"
- gem.summary = %Q{Create website content using Faker}
- gem.description = %Q{Create website content using Faker. Incudes html content generation and stock files that can be used in your specs and or scripts}
- gem.email = "steve@wearebeef.co.uk"
- gem.homepage = "http://github.com/stengland/fakerama"
- gem.authors = ["Steve England"]
- gem.add_development_dependency "rspec", ">= 1.2.9"
- gem.add_dependency 'faker'
- # gem is a Gem::Specification... see http://www.rubygems.org/read/chapter/20 for additional settings
- end
- Jeweler::GemcutterTasks.new
-rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: gem install jeweler"
-end
-
RSpec::Core::RakeTask.new(:spec)
-RSpec::Core::RakeTask.new(:rcov) do |spec|
- spec.rcov = true
-end
-
-task :spec => :check_dependencies
-
task :default => :spec
-
-require 'rake/rdoctask'
-Rake::RDocTask.new do |rdoc|
- version = File.exist?('VERSION') ? File.read('VERSION') : ""
-
- rdoc.rdoc_dir = 'rdoc'
- rdoc.title = "fakerama #{version}"
- rdoc.rdoc_files.include('README*')
- rdoc.rdoc_files.include('lib/**/*.rb')
-end
View
27 fakerama.gemspec
@@ -0,0 +1,27 @@
+# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "fakerama/version"
+
+Gem::Specification.new do |s|
+ s.name = "fakerama"
+ s.version = Fakerama::VERSION
+ s.authors = ["Steve England"]
+ s.email = ["steve@wearebeef.co.uk"]
+ s.homepage = %q{http://github.com/stengland/fakerama}
+ s.summary = %q{Create website content using Faker}
+ s.description = %q{Create website content using Faker. Incudes html content generation and stock files that can be used in your specs and or scripts}
+
+ s.rubyforge_project = "fakerama"
+
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+ s.require_paths = ["lib"]
+
+ s.add_dependency("faker", [">= 0"])
+ s.add_dependency("actionpack", [">= 0"])
+ s.add_dependency("activesupport", [">= 0"])
+ # specify any dependencies here; for example:
+ s.add_development_dependency "rspec"
+ # s.add_runtime_dependency "rest-client"
+end
View
1  lib/fakerama.rb
@@ -1,3 +1,4 @@
+require "fakerama/version"
require 'faker'
require 'active_support/core_ext/string/output_safety'
require 'active_support/concern'
View
3  lib/fakerama/version.rb
@@ -0,0 +1,3 @@
+module Fakerama
+ VERSION = "0.1.2"
+end
View
2  spec/spec_helper.rb
@@ -1,5 +1,5 @@
require 'fakerama'
require 'rspec'
-Rspec.configure do |config|
+RSpec.configure do |config|
end

0 comments on commit 556ea19

Please sign in to comment.
Something went wrong with that request. Please try again.